org.apache.thrift.server

## Class TServer.AbstractServerArgs<T extends TServer.AbstractServerArgs<T>>

- java.lang.Object
- - org.apache.thrift.server.TServer.AbstractServerArgs<T>

- Direct Known Subclasses:
    TNonblockingServer.AbstractNonblockingServerArgs, TServer.Args, TThreadPoolServer.Args
  Enclosing class:
    TServer

      public abstract static class TServer.AbstractServerArgs<T extends TServer.AbstractServerArgs<T>>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TServer.AbstractServerArgs(TServerTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `inputProtocolFactory(TProtocolFactory factory)`
    `T` | `inputTransportFactory(TTransportFactory factory)`
    `T` | `outputProtocolFactory(TProtocolFactory factory)`
    `T` | `outputTransportFactory(TTransportFactory factory)`
    `T` | `processor(TProcessor processor)`
    `T` | `processorFactory(TProcessorFactory factory)`
    `T` | `protocolFactory(TProtocolFactory factory)`
    `T` | `transportFactory(TTransportFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TServer.AbstractServerArgs

          public TServer.AbstractServerArgs(TServerTransport transport)

  - ### Method Detail

    - #### processorFactory

          public T processorFactory(TProcessorFactory factory)

    - #### processor

          public T processor(TProcessor processor)

    - #### transportFactory

          public T transportFactory(TTransportFactory factory)

    - #### inputTransportFactory

          public T inputTransportFactory(TTransportFactory factory)

    - #### outputTransportFactory

          public T outputTransportFactory(TTransportFactory factory)

    - #### protocolFactory

          public T protocolFactory(TProtocolFactory factory)

    - #### inputProtocolFactory

          public T inputProtocolFactory(TProtocolFactory factory)

    - #### outputProtocolFactory

          public T outputProtocolFactory(TProtocolFactory factory)